Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.buybeans.item
Class ShippingMethodLoader

    java.lang.Object
      |
      +--examples.buybeans.item.ShippingMethodLoader

public class ShippingMethodLoader
extends java.lang.Object

The ShippingLoader helps BuyBeans.com loads different type of ShippingMethod bean to the database..

Constructor Summary
`ShippingMethodLoader()`
`ShippingMethodLoader(java.lang.String[] argv)`
`ShippingMethodLoader(java.lang.String url, java.lang.String userid, java.lang.String password, java.io.File itemfile)`

Method Summary
`boolean` | `createShippingMethod(java.lang.String key, java.lang.String description, java.lang.String mechanism, float cost, float percentage)`
`javax.naming.Context` | `getInitialContext()`
`static void` | `main(java.lang.String[] argv)`
`void` | `parseArgs(java.lang.String[] argv)`
`void` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShippingMethodLoader

    public ShippingMethodLoader()

### ShippingMethodLoader

    public ShippingMethodLoader(java.lang.String[] argv)
                         throws examples.buybeans.admin.ASClientException,
                                java.io.IOException

### ShippingMethodLoader

    public ShippingMethodLoader(java.lang.String url,
                                java.lang.String userid,
                                java.lang.String password,
                                java.io.File itemfile)
                         throws examples.buybeans.admin.ASClientException,
                                java.io.IOException

Method Detail

### createShippingMethod

    public boolean createShippingMethod(java.lang.String key,
                                        java.lang.String description,
                                        java.lang.String mechanism,
                                        float cost,
                                        float percentage)

### parseArgs

    public final void parseArgs(java.lang.String[] argv)

### usage

    public void usage()

### getInitialContext

    public javax.naming.Context getInitialContext()

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.